Subject: MD5 CHECKSUMS for wu-ftpd-2.4.tar.Z

From: Scott Holben <[email-masked]>
Date: Thu, 06 Feb 1997 15:32:46 -0500

It has been about a week and I have heard nothing !

I work at an ISP, with a T3 line and SGIs with IRIX 6.2, and I
downloaded the wu-ftpd source code a number times over a week span.  I
looked at the CHECKSUMS file and noticed the following :

      sig1: md5      : 2XU0vg7YiOjc50AFgFb5uK

So I ran both md5 and md5_b64.

#Base 16 MD5
  1% md5 wu-ftpd-2.4.tar.Z
  MD5 (wu-ftpd-2.4.tar.Z) = a1780e6a1e2b18b6614028fa8f945e14

#Base 64 MD5
  2% md5_b64 wu-ftpd-2.4.tar.Z
  MD5 (wu-ftpd-2.4.tar.Z) = oXgOah4rGLZhQCj6j5ReFA

Notice something wrong with the Base 64 answer !

Are there some public keys I don't know about ?  If so, where do I get
them and what type of encryption is used to generate the digital
signatures ?  If there isn't a public key should I be worried ?

I have also attached the source code for the MD5, in case it is error,
used to generate the checksums above.  It was also freeware.  The
"-DB64" C preprocessor gets set to compile the code to work in the "Base
64 Mode".

Bye,

--
<[email-masked]>

Scott Holben
Tarkenton Net Ventures
2221 Newmarket Parkway
Suite 108
Marietta, GA 30067

TEL: (770)-303-0800-x108
FAX: (770)-303-0900

---

From: Andy Ellsworth <[email-masked]>
Date: Tue, 11 Feb 1997 16:25:22 -0600 (CST)

On Thu, 6 Feb 1997, Scott Holben wrote:

> I downloaded the wu-ftpd source code a number times over a week span.  I

<odd checksums deleted>

A while back we had to do a restore of some data that got messed up after
a disk crash; the original wu-ftpd source was one of those pieces of data.
Apparently the checksums didn't get recreated correctly (or were recreated
with some strange arcane method).

I went through and verified the contents of the archives and re-calculated
their checksums (with md5, BSD-sum and SYSV-sum).  Everything should check
out correctly now.

Sorry for the inconvenience.

+----------------------------------------------------------------------------+
| Andy Ellsworth  |  [email-masked] |  Admin/Cyberdiplomat, Wuarchive    |
+----------------------------------------------------------------------------+
|  "...The wind was not the beginning.  There are neither beginnings nor     |
| endings to the turning of the Wheel of Time.  But it was _a_ beginning..." |
|                                   --The Wheel of Time saga, Robert Jordan  |
+----------------------------------------------------------------------------+